# 📘 Librería de Métodos Numéricos

## 📌 Descripción

Esta es una librería educativa desarrollada como parte del proyecto de la materia **Cálculo Numérico para el Desarrollo de Aplicaciones**, impartida en la **Universidad de El Salvador**, dentro de la carrera de **Desarrollo de Software**.

El objetivo de esta librería es ofrecer una colección de algoritmos clásicos para resolver sistemas de ecuaciones lineales y no lineales, con ejemplos detallados e iteraciones visibles, para facilitar el aprendizaje de los estudiantes.

---

## 📦 Estructura del Proyecto

mi_libreria/ ├── init.py ├── gauss_elimination.py ├── gauss_jordan.py ├── crammer.py ├── lu_decomposition.py ├── jacobi.py ├── gauss_seidel.py ├── biseccion.py
 ├── ejemploGaussElimination.py 
 ├── ejemploGaussJordan.py 
 ├── ejemploCrammer.py 
 ├── ejemploLU.py 
 ├── ejemploJacobi.py 
 ├── ejemploGaussSeidel.py 
 └── ejemploBiseccion.py

 
---

## 🛠 Métodos Implementados

| Método           | Tipo de sistema              | Archivo principal          |
|------------------|------------------------------|----------------------------|
| Eliminación de Gauss | Lineal                   | `gauss_elimination.py`     |
| Gauss-Jordan         | Lineal                   | `gauss_jordan.py`          |
| Cramer              | Lineal (matriz cuadrada)   | `crammer.py`               |
| Descomposición LU   | Lineal                   | `lu_decomposition.py`      |
| Jacobi              | Lineal (iterativo)         | `jacobi.py`                |
| Gauss-Seidel        | Lineal (iterativo)         | `gauss_seidel.py`          |
| Bisección           | No lineal (raíces)         | `biseccion.py`             |

---

## 🧪 Cómo ejecutar un ejemplo

1. Abre una terminal en la carpeta `mi_libreria`
2. Ejecuta el ejemplo que quieras, por ejemplo:

```bash
python ejemploGaussElimination.py


---

### ✅ PASO 3: Guarda el archivo

Una vez pegado el contenido, guarda el archivo `README.md`. ¡Listo! Ya tienes la documentación básica de tu proyecto.

---

### ✅ PASO 4 (opcional): Visualizar el README

- Si subes este proyecto a GitHub, el `README.md` se mostrará automáticamente en la página principal del repositorio.
- También puedes previsualizarlo en Visual Studio Code con la extensión **"Markdown Preview"** (presiona `Ctrl+Shift+V` mientras lo editas para ver cómo se verá).

---


